package com.yizhi.album.application.feign;

import com.yizhi.album.application.vo.domain.AlTheme;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "album", contextId = "AlThemeClient")
public interface AlThemeClient {

	@GetMapping("/remote/alTheme/delete")
	public Boolean delete(@RequestParam(name = "id")Long id);
	
	@PostMapping("/remote/alTheme/sortActivity")
	public int sortTheme(@RequestBody List<AlTheme> list);
	
	@GetMapping("/remote/alTheme/updateName")
	public Boolean updateName(@RequestParam(name = "id") Long id,@RequestParam(name = "albumId") Long albumId,@RequestParam(name = "name") String name);
}
