package com.yizhi.album.application.feign;

import com.yizhi.album.application.vo.domain.ClassifyStrategy;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "album", contextId = "ClassifyStrategyClient")
public interface ClassifyStrategyClient {

	@GetMapping("/remote/classifyStrategy/update")
	public ClassifyStrategy update(@RequestParam(value = "type", required = true) Integer type,@RequestParam(value = "status", required = true) Integer status);
	
	@GetMapping("/remote/classifyStrategy/get")
	public ClassifyStrategy get(@RequestParam(value = "companyId", required = true) Long companyId,@RequestParam(value = "siteId", required = true) Long siteId);
}
