package com.yizhi.album.application.feign;

import com.yizhi.album.application.vo.AlbumVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "album", contextId = "StatisticsAlbumClient")
public interface StatisticsAlbumClient {

	/**
	 * 所有专辑
	 * @param companyId
	 * @param siteId
	 * @return
	 */
	@GetMapping("/remote/statisticsAlbum/getAllAlbums")
	public List<AlbumVo> getAllAlbums(@RequestParam(name = "companyId",required = false)Long companyId,@RequestParam(name = "siteId",required = false)Long siteId);
}
