package com.yizhi.album.application.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "专辑内容--活动vo")
public class AlbumActivityVo {

    @ApiModelProperty(value = "主键id")
    private Long id;
    
    @ApiModelProperty(value = "专辑id")
    private Long albumId;
    
    @ApiModelProperty(value = "关联的活动的id")
    private Long relationId;
    
    @ApiModelProperty(value = "活动名称，从活动那边取过来，不能自定义")
    private String name;
    
    @ApiModelProperty(value = "排序")
    private Integer sort;
    
    @ApiModelProperty(value = "当前状态")
    private String status;

    @ApiModelProperty(value = "解锁状态 0已解锁 1发布及解锁 2自定义解锁")
	private Integer unlock;
    
    @ApiModelProperty(value = "课程更新时间")
    private Date updateTime;
    
    @ApiModelProperty(value = "课程更新标识")
	private Integer isNew;
    
    @ApiModelProperty(value = "课程时长")
    private Long duration;
}
