package com.yizhi.album.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class AlbumCalendarVo {

    @ApiModelProperty(value = "专辑主键id")
    private Long id;

    @ApiModelProperty(value = "专辑名称")
    private String name;

    @ApiModelProperty(value = "专辑封面图")
    private String image;

    @ApiModelProperty("业务按钮状态")
    public List<String> taskButtonStatus;

    @ApiModelProperty(value = "日历任务开始时间：enable-task不为0时，有值")
    private Date taskStartDate;

    @ApiModelProperty(value = "日历任务结束时间：enable-task不为0时，有值")
    private Date taskEndDate;
}
