package com.yizhi.album.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 专辑分类
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "AlbumClassify", description = "专辑分类")
public class AlbumClassify {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "父id ")
	
	private Long parentId;

    @ApiModelProperty(value = "层级")
	private Integer layer;

    @ApiModelProperty(value = "名称")
	private String name;

    @ApiModelProperty(value = "分类编码")
	private String code;

    @ApiModelProperty(value = "备注")
	private String description;

    @ApiModelProperty(value = "状态")
	private Integer status;

	
	private Long createById;

	
	private String createByName;

	
	private Date createTime;

	
	private Long updateById;

	
	private String updateByName;

	
	private Date updateTime;

	
	private Long orgId;

	
	private Long companyId;

	
	private Long siteId;

    @ApiModelProperty(value = "顶层节点id")
	
	private Long rootId;

    @ApiModelProperty(value = "排序")
	private Integer sort;

	private String path;

}
