package com.yizhi.album.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专辑可见范围表
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@ApiModel(value = "AlbumVisableRange", description = "专辑可见范围表")

@Data
public class AlbumVisibleRange {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private Long id;

	@ApiModelProperty(value = "专辑主键_ID，外键")
	
	private Long albumId;

	@ApiModelProperty(value = "1用户 2组织")
	private Integer type;

	@ApiModelProperty(value = "存放人或组织的ID")
	
	private Long relationId;
	
	@ApiModelProperty(value = "名称")
	
	private String name;	
	
	@ApiModelProperty(value = "真实姓名")
	
	private String fullName;	
	
	@ApiModelProperty(value = "0删除 1有效，默认有效")
	
	private Integer state;
	
	@ApiModelProperty(value = "站点_ID")
	
	private Long siteId;
	
	@ApiModelProperty(value = "企业_ID")
	
	private Long companyId;
	
}
