package com.yizhi.album.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.album.application.domain.Album;
import com.yizhi.album.application.vo.*;
import com.yizhi.core.application.vo.DroolsVo;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 专辑表 服务类
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
public interface IAlbumService extends IService<Album> {

	public Page<Album> searchPage(String name, Long alClassifyId, Integer status, Integer overed, Long companyId,
			Long siteId, Integer pageNo, Integer pageSize);

	public AlbumVo save(AlbumVo albumVo);

	public Boolean update(AlbumVo albumVo);

	public Boolean vaidName(Long id, String name, Long siteId);

	public List<Album> searchlList(String name,List<Long> ids, Long companyId, Long siteId);

	public Page<ApiListAlbumVo> searchPageSubClassify(String name, List<Long> classifyIds, List<Long> relationIds,
													  Long companyId, Long siteId, int pageNo, int pageSize);
	
	public List<Long> getMyStudyList(Long siteId,Long accountId,Page<Long> ids);
	
	public Integer finished(List<Long> ids,Long album,Long accountId,Long siteId);
	
	public Integer unLockNum(Long albumId);
	
	public Integer getStudyNum(Long albumId);
	
	public List<AlbumThemeVo> getThemes(Long albumId, Integer type);
	
	public List<AlbumActivityVo> getActivitys(Long themeId, Integer type, Integer display);
	
	public void unLockCourse();
	
	public Page<ApiListAlbumVo> getMySubscribePage(List<Long> ids, int pageNo, int pageSize);

	Page<DroolsVo> getPageByDrools(String field, String value, Page<DroolsVo> page);

    Page<AlbumCalendarVo> getPageToCalendar(Date date, Page<Album> page);
}
