package com.yizhi.album.application.feign;

import com.yizhi.album.application.vo.domain.AlStudentActivityRecord;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@FeignClient(name = "album", contextId = "AlStudentActivityRecordClient")
public interface AlStudentActivityRecordClient {

    @GetMapping("/remote/alStudentActivityRecord/statistics/getRecordeAllWorkId")
    public List<Long> getRecordeAllWorkId();
    
    @GetMapping("/remote/alStudentActivityRecord/statistics/getAllRecordeByTimeLimit")
    public List<AlStudentActivityRecord> getAllRecordeByTimeLimit(@RequestParam(value="startDate",required=true)String startDate,@RequestParam(value="endDate",required=true)String endDate,@RequestParam(value="relationId",required=true)Long relationId);
}
