package com.yizhi.album.application.vo;

import java.util.List;

import com.yizhi.album.application.vo.domain.AlThemeActivity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AlThemeVo {

    @ApiModelProperty(value = "专辑主题id")
	private Long id;
	
    @ApiModelProperty(value = "专辑id")
	private Long albumId;
	
    @ApiModelProperty(value = "主题名称")
	private String name;
    
    @ApiModelProperty(value = "排序字段")
    private Integer sort;
	
    @ApiModelProperty(value = "主题活动")
	private List<AlThemeActivity> activities;
	
    @ApiModelProperty(value = "主题活动删除id")
	private List<Long> deleteList;
}
