package com.yizhi.album.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.album.application.domain.AlStudentActivityRecord;
import com.yizhi.album.application.vo.ApiListAlbumVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 学员完成专辑活动记录 Mapper 接口
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
public interface AlStudentActivityRecordMapper extends BaseMapper<AlStudentActivityRecord> {

	public List<ApiListAlbumVo> getStudentNumByIds(@Param(value = "ids") List<Long> ids);
	
	public Integer getStudyNum(@Param(value = "albumId") Long albumId);
	
    List<Long> getRecordeAllWorkId();
    
    List<AlStudentActivityRecord> getAllRecordeByTimeLimit(@Param(value="startDate")String startDate,@Param(value="endDate")String endDate,@Param("relationId")Long relationId);

    Integer getStatus(@Param(value = "albumId") Long albumId, @Param(value = "accountId") Long accountId,
			@Param(value = "siteId") Long siteId,@Param("relationId")Long relationId);
}
