package com.yizhi.album.application.mapper;

import java.util.List;

import com.yizhi.album.application.domain.AlbumVisibleRange;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;

public interface AlbumVisibleRangeMapper extends BaseMapper<AlbumVisibleRange>{

    List<Long> selectAlbumIdByRelationId(@Param("relationIds") List<Long> relationIds);

    List<Long> getUsefulIds(@Param("ids") List<Long> ids,
                            @Param("relationIds") List<Long> relationIds,
                            @Param("siteId") Long siteId);
}
