package com.yizhi.album.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.album.application.domain.AlTheme;
import com.yizhi.album.application.mapper.AlThemeMapper;
import com.yizhi.album.application.service.IAlThemeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专辑 - 主题 服务实现类
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Service
public class AlThemeServiceImpl extends ServiceImpl<AlThemeMapper, AlTheme> implements IAlThemeService {

	@Override
	public Boolean vaidName(Long id,Long albumId, String name, Long siteId) {
		Integer count = this.baseMapper.vailName(id,albumId, name, siteId);
		if (count>0) {
			return Boolean.FALSE;
		}
		return Boolean.TRUE;
	}

	@Override
	public Integer sortTheme(List<AlTheme> list) {
        if (list.size() == 2) {
        	AlTheme themeFirst = list.get(0);
        	AlTheme themeLast = list.get(1);
            if(themeFirst.getSort().equals(themeLast.getSort())){
            	themeLast.setSort(themeLast.getSort().intValue()-1);
            }
            this.baseMapper.updateById(themeFirst);
            this.baseMapper.updateById(themeLast);
        }
        return 1;
	}

}
